org.apache.cassandra.tracing

## Class ExpiredTraceState

- java.lang.Object
- - org.apache.cassandra.tracing.TraceState
  - - org.apache.cassandra.tracing.ExpiredTraceState

- All Implemented Interfaces:
    ProgressEventNotifier

      public class ExpiredTraceState
      extends TraceState

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.tracing.TraceState

      `TraceState.Status`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.tracing.TraceState

      `coordinator, sessionId, sessionIdBytes, traceType, ttl, watch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpiredTraceState(java.util.UUID sessionId, Tracing.TraceType traceType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `elapsed()`

    - ### Methods inherited from class org.apache.cassandra.tracing.TraceState

      `acquireReference, addProgressListener, enableActivityNotification, mutateWithTracing, releaseReference, removeProgressListener, stop, trace, trace, trace, trace, waitActivity, waitForPendingEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpiredTraceState

          public ExpiredTraceState(java.util.UUID sessionId,
                                   Tracing.TraceType traceType)

  - ### Method Detail

    - #### elapsed

          public int elapsed()

      Overrides:
        `elapsed` in class `TraceState`

Copyright © 2018 The Apache Software Foundation